Group: Development/Tools
# BEGIN SourceDeps(oneline):
BuildRequires: swig
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Name:		gxemul
Version:	0.7.0
Release:	alt1_8
License:	BSD
Summary:	Instruction-level machine emulator
URL:		http://gavare.se/gxemul/
Source0:	http://gavare.se/gxemul/src/%{name}-%{version}.tar.gz
Patch0:		gxemul-0.6.0.1-Makefile-cleanup.patch
Patch1:		gxemul-0.6.0.1-gcc47.patch
# https://sourceforge.net/p/gxemul/mailman/message/37270384/
Patch2:		gxemul-0.7.0-linux-fix.patch
Patch3:		gxemul-0.7.0-no-rpath.patch
BuildRequires:	libX11-devel, xorg-proto-devel
BuildRequires:	gcc
Source44: import.info

%description
GXemul is an experimental instruction-level machine emulator. It can be
used to run binary code for (among others) MIPS-based machines, regardless
of host platform. Several emulation modes are available. For some modes,
processors and surrounding hardware components are emulated well enough to
let unmodified operating systems (e.g. NetBSD) run as if they were running
on a real machine.

%prep
%setup -q
%patch0 -p1 -b .cleanup
%patch1 -p1
%patch2 -p1 -b .linux-fix
%patch3 -p1 -b .no-rpath

%build
CFLAGS="$RPM_OPT_FLAGS" PREFIX="%{_prefix}" ./configure
%make_build

%install
make DESTDIR=%{buildroot} install

%files
%doc LICENSE HISTORY README demos/
%doc %{_datadir}/doc/gxemul/
%{_bindir}/gxemul
%{_mandir}/man1/gxemul.*

%changelog
* Sat Mar 23 2024 Igor Vlasenko <viy@altlinux.org> 0.7.0-alt1_8
- update to new release by fcimport

* Thu Aug 31 2023 Igor Vlasenko <viy@altlinux.org> 0.7.0-alt1_6
- update to new release by fcimport

* Wed Feb 22 2023 Igor Vlasenko <viy@altlinux.org> 0.7.0-alt1_5
- update to new release by fcimport

* Sun Aug 07 2022 Igor Vlasenko <viy@altlinux.org> 0.7.0-alt1_4
- update to new release by fcimport

* Sat Feb 05 2022 Igor Vlasenko <viy@altlinux.org> 0.7.0-alt1_3
- update to new release by fcimport

* Mon Aug 02 2021 Igor Vlasenko <viy@altlinux.org> 0.7.0-alt1_2
- update to new release by fcimport

* Sun Jul 25 2021 Igor Vlasenko <viy@altlinux.org> 0.7.0-alt1_1
- update to new release by fcimport

* Wed Mar 17 2021 Igor Vlasenko <viy@altlinux.org> 0.6.3.1-alt1_1
- update to new release by fcimport

* Wed Jan 27 2021 Igor Vlasenko <viy@altlinux.ru> 0.6.2-alt2_4
- update to new release by fcimport

* Wed Sep 02 2020 Igor Vlasenko <viy@altlinux.ru> 0.6.2-alt1_4
- update to new release by fcimport

* Thu Mar 05 2020 Igor Vlasenko <viy@altlinux.ru> 0.6.2-alt1_3
- update to new release by fcimport

* Tue Aug 06 2019 Igor Vlasenko <viy@altlinux.ru> 0.6.2-alt1_2
- update to new release by fcimport

* Mon Jul 01 2019 Igor Vlasenko <viy@altlinux.ru> 0.6.2-alt1_1
- update to new release by fcimport

* Fri Mar 01 2019 Igor Vlasenko <viy@altlinux.ru> 0.6.0.2-alt1_2
- update to new release by fcimport

* Mon Dec 17 2018 Igor Vlasenko <viy@altlinux.ru> 0.6.0.2-alt1_1
- update to new release by fcimport

* Wed Aug 01 2018 Igor Vlasenko <viy@altlinux.ru> 0.6.0.1-alt1_11
- update to new release by fcimport

* Tue Feb 20 2018 Igor Vlasenko <viy@altlinux.ru> 0.6.0.1-alt1_9
- update to new release by fcimport

* Wed Sep 27 2017 Igor Vlasenko <viy@altlinux.ru> 0.6.0.1-alt1_8
- update to new release by fcimport

* Thu Aug 03 2017 Igor Vlasenko <viy@altlinux.ru> 0.6.0.1-alt1_6
- update to new release by fcimport

* Wed Mar 15 2017 Igor Vlasenko <viy@altlinux.ru> 0.6.0.1-alt1_5
- update to new release by fcimport

* Wed Mar 02 2016 Igor Vlasenko <viy@altlinux.ru> 0.6.0.1-alt1_4
- update to new release by fcimport

* Mon Sep 21 2015 Igor Vlasenko <viy@altlinux.ru> 0.6.0.1-alt1_3
- update to new release by fcimport

* Wed Sep 10 2014 Igor Vlasenko <viy@altlinux.ru> 0.6.0.1-alt1_1
- update to new release by fcimport

* Mon Jul 07 2014 Igor Vlasenko <viy@altlinux.ru> 0.6.0-alt1_9
- update to new release by fcimport

* Thu Aug 22 2013 Igor Vlasenko <viy@altlinux.ru> 0.6.0-alt1_8
- update to new release by fcimport

* Thu Mar 14 2013 Igor Vlasenko <viy@altlinux.ru> 0.6.0-alt1_7
- update to new release by fcimport

* Fri Dec 28 2012 Igor Vlasenko <viy@altlinux.ru> 0.6.0-alt1_6
- initial fc import

